Install Wine on Deepin Linux

Questions about Wine on Linux
Post Reply
shIxx
Newbie
Newbie
Posts: 1
Joined: Wed Mar 25, 2020 6:07 am

Install Wine on Deepin Linux

Post by shIxx » Wed Mar 25, 2020 6:20 am

Hello, I try to install wine on Deepin and I need help because I get some errors.

First of all I am a noob to Linux and I don't know anything about the terminal etc.
I follow the instructions from https://wiki.winehq.org/Debian
First I should execute these commands:

Code: Select all

wget -nc https://dl.winehq.org/wine-builds/winehq.key
sudo apt-key add winehq.key
Thats my output

Code: Select all

tom@tom-Laptop:~$ wget -nc https://dl.winehq.org/wine-builds/Release.key
--2020-03-25 11:18:58--  https://dl.winehq.org/wine-builds/Release.key
Auflösen des Hostnamens »dl.winehq.org (dl.winehq.org)« … 151.101.114.217
Verbindungsaufbau zu dl.winehq.org (dl.winehq.org)|151.101.114.217|:443 … verbunden.
HTTP-Anforderung gesendet, auf Antwort wird gewartet … 200 OK
Länge: 3122 (3,0K) [application/pgp-keys]
Wird in »»Release.key«« gespeichert.
Release.key                   100%[=================================================>]   3,05K  --.-KB/s    in 0,001s  
2020-03-25 11:19:00 (5,81 MB/s) - »»Release.key«« gespeichert [3122/3122]
tom@tom-Laptop:~$ sudo apt-key add Release.key
OK
then it says as follows:
Add the repository to /etc/apt/sources.list or create a * .list under /etc/apt/sources.list.d/ with the following content:
For this version: Add this content to /etc/apt/sources.list:

I did ... my sources.list looks like this:

Code: Select all

## Generated by deepin-installer
deb [by-hash=force] http://packages.deepin.com/deepin lion main contrib non-free
#deb-src http://packages.deepin.com/deepin lion main contrib non-free
deb http://packages.deepin.com/deepin unstable main contrib non-free
deb https://dl.winehq.org/wine-builds/debian/ stretch main
Then update the packages and install wine

Code: Select all

sudo apt update
sudo apt install --install-recommends winehq-stable
My output:

Code: Select all

tom@tom-Laptop:~$ sudo apt update
OK:1 http://linux.teamviewer.com/deb stable InRelease
OK:2 http://packages.microsoft.com/repos/vscode stable InRelease
OK:3 http://packages.deepin.com/deepin lion InRelease
Holen:4 http://packages.deepin.com/deepin unstable InRelease [11,4 kB]
Holen:5 https://dl.winehq.org/wine-builds/debian stretch InRelease [6.263 B]
Holen:6 https://dl.winehq.org/wine-builds/debian stretch/main i386 Packages [594 kB]
Holen:7 http://packages.deepin.com/deepin unstable/contrib amd64 Packages [184 kB]
Holen:8 https://dl.winehq.org/wine-builds/debian stretch/main amd64 Packages [561 kB]
Holen:9 http://packages.deepin.com/deepin unstable/contrib i386 Packages [178 kB]    
Holen:10 http://packages.deepin.com/deepin unstable/main amd64 Packages [20,3 MB]    
Holen:11 http://packages.deepin.com/deepin unstable/non-free amd64 Packages [343 kB]                                   
Holen:12 http://packages.deepin.com/deepin unstable/non-free i386 Packages [279 kB]
Holen:13 http://packages.deepin.com/deepin unstable/main i386 Packages [20,2 MB]Es wurden 42,6 MB in 1 min 9 s geholt (617 kB/s).                                                                      
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
Aktualisierung für 1329 Pakete verfügbar. Führen Sie »apt list --upgradable« aus, um sie anzuzeigen.

tom@tom-Laptop:~$ sudo apt install --install-recommends winehq-stable
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
And then this error appears:

Code: Select all

Einige Pakete konnten nicht installiert werden. Das kann bedeuten, dass Sie eine unmögliche Situation angefordert haben oder, wenn Sie die Unstable-Distribution verwenden, dass einige erforderliche Pakete noch nicht erstellt wurden oder Incoming noch nicht verlassen haben.Die folgenden Informationen helfen Ihnen vielleicht, die Situation zu lösen:
Die folgenden Pakete haben unerfüllte Abhängigkeiten: 
libkf5coreaddons5 : Beschädigt: libkf5auth5 (< 5.46) aber 5.28.0-2 soll installiert werden
         Beschädigt: libkf5globalaccel-bin (< 5.46) aber 5.28.0.1-1+comsta soll installiert werden 
libkf5crash5 : Beschädigt: libkf5globalaccel-bin (< 5.46) aber 5.28.0.1-1+comsta soll installiert werden
E: Fehler: Unterbrechungen durch pkgProblemResolver::Resolve hervorgerufen; dies könnte durch zurückgehaltene Pakete verursacht worden sein.
Sry it is in german, I try to translate:

Code: Select all

some packages could not be installed. This may mean that you have requested an impossible situation or, if you are using the unstable distribution, that some required packages have not been created or have not yet left Incoming. The following information may help you to resolve the situation:
The following packages have unfulfilled dependencies:
libkf5coreaddons5: Damaged: libkf5auth5 (<5.46) but 5.28.0-2 should be installed
    Damaged: libkf5globalaccel-bin (<5.46) but 5.28.0.1-1 + comsta should be installed
libkf5crash5: Damaged: libkf5globalaccel-bin (<5.46) but 5.28.0.1-1 + comsta should be installed
E: Error: Interruptions caused by pkgProblemResolver :: Resolve; this could have been caused by parcels being held back.

jkfloris
Level 7
Level 7
Posts: 863
Joined: Thu Aug 14, 2014 10:10 am

Re: Install Wine on Deepin Linux

Post by jkfloris » Wed Mar 25, 2020 11:46 am

I don't think these are dependencies of Wine.
Aktualisierung für 1329 Pakete verfügbar.
Maybe you should update your system first.

Which version of Deepin do you use?
What is the output of:

Code: Select all

grep -R ^deb /etc/apt/sources.list*

Post Reply